package com.openhis.web.inhospitalnursestation.appservice;

import com.core.common.core.domain.R;
import com.openhis.web.regdoctorstation.dto.RegAdviceSaveParam;

public interface INurseBillingAppService {
    /*
     * 住院护士 划价添加
     * @return
     */
    public R<?> addInNurseBilling(RegAdviceSaveParam regAdviceSaveParam);
    /*
     * 住院护士 划价列表 根据护士encounterId查询
     * @return
     */
    public  R<?> getBillingListByEncounterId();
    /*
     * 住院护士撤销划价
     * @return
     */
    public  R<?> deleteInNurseBilling();
    /*
     * 医嘱计费添加 诊疗 耗材
     */
    public  R<?> addOrderBilling();
    /*
     * 医嘱计费删除 诊疗 耗材
     */
    public  R<?> deleteOrderBilling();
    /*
     * 医嘱计费修改 诊疗 耗材
     */
    public  R<?> updateOrderBilling();
    /*
     根据医嘱id查询已计费的 耗材列表
     * @return
     */
    public  R<?> getOrderBillingByRequestId();
}
